Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.MediaSourceType Enum Reference

Media source type. More...

## Static Public Member Functions
static int | getValue (MediaSourceType type)

## Public Attributes
| AUDIO_PLAYOUT_SOURCE =(0)
| AUDIO_RECORDING_SOURCE =(1)
| PRIMARY_CAMERA_SOURCE =(2)
| SECONDARY_CAMERA_SOURCE =(3)
| PRIMARY_SCREEN_SOURCE =(4)
| SECONDARY_SCREEN_SOURCE =(5)
| CUSTOM_VIDEO_SOURCE =(6)
| MEDIA_PLAYER_SOURCE =(7)
| RTC_IMAGE_PNG_SOURCE =(8)
| RTC_IMAGE_JPEG_SOURCE =(9)
| RTC_IMAGE_GIF_SOURCE =(10)
| REMOTE_VIDEO_SOURCE =(11)
| TRANSCODED_VIDEO_SOURCE =(12)
| SPEECH_DRIVEN_VIDEO_SOURCE =(13)
| UNKNOWN_MEDIA_SOURCE =(100)

## Detailed Description

Media source type.

## Member Data Documentation

## ◆ AUDIO_PLAYOUT_SOURCE

io.agora.rtc2.Constants.MediaSourceType.AUDIO_PLAYOUT_SOURCE =(0)

0: Audio playback device.

## ◆ AUDIO_RECORDING_SOURCE

io.agora.rtc2.Constants.MediaSourceType.AUDIO_RECORDING_SOURCE =(1)

1: Audio capturing device.

## ◆ PRIMARY_CAMERA_SOURCE

io.agora.rtc2.Constants.MediaSourceType.PRIMARY_CAMERA_SOURCE =(2)

2: The primary camera.

## ◆ SECONDARY_CAMERA_SOURCE

io.agora.rtc2.Constants.MediaSourceType.SECONDARY_CAMERA_SOURCE =(3)

3: A secondary camera.

## ◆ PRIMARY_SCREEN_SOURCE

io.agora.rtc2.Constants.MediaSourceType.PRIMARY_SCREEN_SOURCE =(4)

4: Video captured by primary screen capturer.

## ◆ SECONDARY_SCREEN_SOURCE

io.agora.rtc2.Constants.MediaSourceType.SECONDARY_SCREEN_SOURCE =(5)

5: Video captured by secondary screen capturer.

## ◆ CUSTOM_VIDEO_SOURCE

io.agora.rtc2.Constants.MediaSourceType.CUSTOM_VIDEO_SOURCE =(6)

6: Custom video source.

## ◆ MEDIA_PLAYER_SOURCE

io.agora.rtc2.Constants.MediaSourceType.MEDIA_PLAYER_SOURCE =(7)

7: Video for media player sharing.

## ◆ RTC_IMAGE_PNG_SOURCE

io.agora.rtc2.Constants.MediaSourceType.RTC_IMAGE_PNG_SOURCE =(8)

8: Video for png image.

## ◆ RTC_IMAGE_JPEG_SOURCE

io.agora.rtc2.Constants.MediaSourceType.RTC_IMAGE_JPEG_SOURCE =(9)

9: Video for jpeg image.

## ◆ RTC_IMAGE_GIF_SOURCE

io.agora.rtc2.Constants.MediaSourceType.RTC_IMAGE_GIF_SOURCE =(10)

10: Video for gif image.

## ◆ REMOTE_VIDEO_SOURCE

io.agora.rtc2.Constants.MediaSourceType.REMOTE_VIDEO_SOURCE =(11)

11: Remote video received from network.

## ◆ TRANSCODED_VIDEO_SOURCE

io.agora.rtc2.Constants.MediaSourceType.TRANSCODED_VIDEO_SOURCE =(12)

12: Video for transcoded.

## ◆ SPEECH_DRIVEN_VIDEO_SOURCE

io.agora.rtc2.Constants.MediaSourceType.SPEECH_DRIVEN_VIDEO_SOURCE =(13)

13: Video processed by the speech driven extension.

## ◆ UNKNOWN_MEDIA_SOURCE

io.agora.rtc2.Constants.MediaSourceType.UNKNOWN_MEDIA_SOURCE =(100)

100: Unknown media source.